<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: ecard_archive_admin.php
| Version: 1.0 Sep, 2014
| Author: Terry Broullette (Grimloch)
| Email: webmaster@whisperwillow.com
| Web: http://fusion.whisperwillow.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."create_ecards/infusion_db.php";

if (file_exists(INFUSIONS."create_ecards/locale/".$settings['locale'].".php")) {
	include INFUSIONS."create_ecards/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."create_ecards/locale/English.php";
}
if (!checkrights("ECA") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../../index.php"); }

define("CARD_FOLDER", INFUSIONS."create_ecards/ecards/");

opentable($locale['ec600']);

if (isset($_POST['delete'])) {

	$id_array = ($_POST['checkbox']);
	$id_list = implode(",",$id_array);
	$del_id = $id_list;
	$list_array = explode(",",$del_id);
	reset($list_array);

foreach($list_array AS $id2_del) {
	$result = dbquery("SELECT * FROM ".DB_ECARD_ARCHIVE." WHERE arc_id='$id2_del'");
		while($data = dbarray($result)) {
		$remove = $data['arc_title'];
	if ($remove) { @unlink(CARD_FOLDER.$remove); }
	}
	$result = dbquery("DELETE FROM ".DB_ECARD_ARCHIVE." WHERE arc_id='$id2_del'");
	}
}

echo "<br /><br /><form name='delete_select' method='post' action='".FUSION_SELF.$aidlink."'><div align='center'><span style='font-size: 20px;'><strong><u>".$locale['ec601']."</u></strong></span><br /><br /><br /></div>\n";
echo "<table class='tbl-border center' style='text-align: center' cellspacing='1' cellpadding='4'><tr class='tbl2'>\n";
echo "<td align='center'><strong>".$locale['ec602']."</strong></td><td align='center'><strong>".$locale['ec603']."</strong></td><td align='left'><strong>".$locale['ec606']."</strong></td><td align='left'><strong>".$locale['ec607']."</strong></td><td align='left'><strong>".$locale['ec612']."</strong></td><td align='center'><strong>".$locale['ec608']."</strong></td>\n";
echo "</tr>\n";

	$result = dbquery("SELECT * FROM ".DB_ECARD_ARCHIVE." ORDER BY arc_datestamp DESC");
	if(dbrows($result) != 0) {
	$count = dbrows($result);
	while($data = dbarray($result)) {
	$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
		$id = $data['arc_id'];
		$link1 = $data['arc_title'];
		$link2 = preg_replace('/\\.[^.\\s]{2,4}$/', '', $data['arc_title']);
		$sender = $data['arc_sender'];
		$receiver = $data['arc_receiver'];
		$sent = date("M d, Y",$data['arc_datestamp']);
		if ($data['arc_datestamp'] != 0) {
			$elapsed = time() - $data['arc_datestamp'];
			$iW=sprintf("%2d",floor($elapsed/604800));
			$iD=sprintf("%2d",floor($elapsed/(60*60*24)));
			$iH=sprintf("%02d",floor((($elapsed%604800)%86400)/3600));
			$iM=sprintf("%02d",floor(((($elapsed%604800)%86400)%3600)/60));
			$iS=sprintf("%02d",floor((((($elapsed%604800)%86400)%3600)%60)));
			if ($elapsed < 60){
				$elapsed=$locale['ec613'];
			} elseif ($elapsed < 3600){
				$elapsed=$locale['ec614'];
			} elseif ($iW > 0){
				if ($iW == 1) {
					$Text = $locale['ec615'];
				} else {
					$Text = $locale['ec616'];
				}
				$elapsed = "".$iW." ".$Text."";
			} elseif ($iD > 0){
				if ($iD == 1) {
					$Text = $locale['ec617'];

				} else {
					$Text = $locale['ec618'];

				}
				$elapsed = "".$iD." ".$Text."";
			} else {
				$elapsed = $iH.":".$iM.":".$iS;
			}
		} else {
			$elapsed = $locale['ec619'];
		}
echo "<tr class='$cell_color'><td align='left'>$sender</td><td align='left'>$receiver</td><td align='left'><a href='".INFUSIONS."create_ecards/ecards/$link1' target='_new'><b>$link2</b></a></td><td align='left'>$sent</td><td align='right'>$elapsed</td><td align='center'><input name='checkbox[]' type='checkbox' value='$id'></td></tr>\n";
	$i++;
	}
echo "</table><br /><br />\n";
}
	echo "<div style='text-align:center'>\n";
	echo "<input type='submit' name='delete' value='".$locale['ec609']."'><br /><br /></div></form><br /><hr width='90%'><br />\n";
	echo "<table align='center' cellpadding='0' cellspacing='4' width='95%'><tr>\n";
	echo "<td align='center' width='50%'><a href='".INFUSIONS."create_ecards/index.php".$aidlink."'>".$locale['ec610']."</a></td>\n";
	echo "<td align='center' width='50%'><a href='".FUSION_SELF.$aidlink."'>".$locale['ec611']."</a></td>\n";
	echo "</tr></table><br /><br /></div>\n";

closetable();
require_once THEMES."templates/footer.php";
?>