<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: index_05.php
| Version: 3.0 Sep, 2014
| Author: Terry Broullette (Grimloch)
| Email: webmaster@whisperwillow.com
| Web: http://fusion.whisperwillow.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."create_ecards/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."create_ecards/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."create_ecards/locale/English.php";
}
include INFUSIONS."create_ecards/infusion_db.php";
include INFUSIONS."create_ecards/include/colorbox_include.php";
require INFUSIONS."create_ecards/include/cat5_include.php";
include INFUSIONS."create_ecards/include/constants_include.php";

if (isset($_POST['preview'])) {

opentable($locale['ec280']);
if (!$_POST['rcpt_mail'] || !$_POST['rcpt_name'] || !$_POST['sndr_mail'] || !$_POST['sndr_name'] || !$_POST['msg']) {
	echo "<table class='center' border='0' cellspacing='0' cellpadding='3'><tr>\n";
	echo "<td style='text-align: center;'><br /><br />".$locale['ec251']." <a class='button' href='javascript:history.go(-1)'>".$locale['ec252']."</a></td>\n";
	echo "</tr></table>\n";
} else {
$url = $settings['siteurl'];
$hdrtxt = stripinput($_POST['tophdr']);
$hdr = stripinput($_POST['hdr']);
$sndr_name = stripinput($_POST['sndr_name']);
$grt = stripinput($_POST['grt']);
$message = stripinput($_POST['msg']);
$msg = nl2br($message);
$template = stripinput($_POST['tmpl']);
if($hdrtxt == "none") {
$hdrtxt = "";
} else {
	$hdrtxt = $hdrtxt; }
if($hdr == "") {
	$picture = "";
} else {
	$picture = "<img src='".$url."infusions/create_ecards/$hdr' border='0' alt='' />"; }

if($template == "tmpl1") {
	$myback = "#efefef";
} elseif ($template == "tmpl2") {
	$myback = "#002b5b";
} elseif ($template == "tmpl3") {
	$myback = "#614c2d";
} elseif ($template == "tmpl4") {
	$myback = "#000000";
} elseif ($template == "tmpl5") {
	$myback = "#ffffff";
} elseif ($template == "tmpl6") {
	$myback = "#043361";
} elseif ($template == "tmpl7") {
	$myback = "#efefef";
} elseif ($template == "tmpl8") {
	$myback = "#c0c0c0";
} elseif ($template == "tmpl9") {
	$myback = "#d7eae9";
} elseif ($template == "tmpl10") {
	$myback = "#fbfdfd";
} else {
	$myback = "#ffffff";
}
include INFUSIONS."create_ecards/include/$template.php";

$site_view = $content;

	$render = $site_view;
	$render_preview = $render;

	echo "<table class='center' bgcolor='$myback' cellpadding='0' cellspacing='0' width='100%'><tr>\n";
	echo "<td style='text-align: center;' width='100%'>$render_preview</td></tr></table><br /><br />\n";
	echo "<div style='text-align: center;'><a class='button' href='javascript:history.go(-1)'>&nbsp;&nbsp;".$locale['ec252']."&nbsp;&nbsp;</a></div><br />";
closetable();
	}
} else {
if (isset($_POST['send'])) {
include INFUSIONS."create_ecards/mail_notice.php";
	}
}

opentable($locale['ec200']);
	echo "<div style='text-align: center;'><strong><u>".$locale['ec207']."</u></strong></div><br />\n";
	echo "<table class='tbl-border center' width='60%' cellspacing='6' cellpadding='0'>\n";
	echo "<tr class='tbl2'><td style='text-align: center;'><a href='index.php'>".$locale['ec300']."</a></td>\n";
	echo "<td style='text-align: center;'><a href='index_02.php'>".$locale['ec301']."</a></td>\n";
	echo "<td style='text-align: center;'><a href='index_03.php'>".$locale['ec302']."</a></td>\n";
	echo "<td style='text-align: center;'><a href='index_04.php'>".$locale['ec303']."</a></td>\n";
	echo "<td style='text-align: center;'><span style='color: #800080';>".$locale['ec304']."</span></td>\n";
	echo "<td style='text-align: center;'><a href='index_06.php'>".$locale['ec305']."</a></td></tr>\n";
	echo "<tr class='tbl2'><td style='text-align: center;'><a href='index_07.php'>".$locale['ec306']."</a></td>\n";
	echo "<td style='text-align: center;'><a href='index_08.php'>".$locale['ec307']."</a></td>\n";
	echo "<td style='text-align: center;'><a href='index_09.php'>".$locale['ec308']."</a></td>\n";
	echo "<td style='text-align: center;'><a href='index_10.php'>".$locale['ec309']."</a></td>\n";
	echo "<td style='text-align: center;'><a href='index_11.php'>".$locale['ec310']."</a></td>\n";
	echo "<td style='text-align: center;'><a href='index_12.php'>".$locale['ec311']."</a></td>\n";
	echo "</tr></table><br /><br />\n";
	echo "<div style='text-align: center;'><strong><u>".$locale['ec120']."</u></strong> ".$locale['ec121']."</div><br />\n";
	echo "<form name='ecard_form' method='post' action='".FUSION_SELF."'>\n";
	echo "<table class='center' border='0' cellspacing='0' cellpadding='0'><tr>\n";
	echo "<td style='text-align: center'><select name='tophdr' size='1' class='textbox' style='width:280px;'>\n";
$result = dbquery("SELECT * FROM ".DB_ECARD_HEADER." WHERE hdr_subid ='4' ORDER BY 'hdr_id'");
	if (dbrows($result) != 0) {
		while ($data = dbarray($result)) {
		$selected = (isset($_GET['hdr_title']) && $_GET['hdr_title'] == $data['hdr_title']) ? 'selected="selected"' : '';
	echo "<option value='".$data['hdr_title']."'$selected>".$data['hdr_title']."</option>\n";
		}
	}
	echo "</select></td>\n";
	echo "</tr></table><br /><br />\n";
	echo "<div style='text-align: center;'><strong><u>".$locale['ec100']."</u></strong> ".$locale['ec122']."".$locale['ec216']."</div><br />\n";
	echo "<table class='center' border='0' cellspacing='6' cellpadding='4'><tr>\n";
	echo "<td style='text-align: center;'><a href='".INFUSIONS."create_ecards/$tplimg1' rel='tp' title='".$locale['ec101']."' /><img src='$tplthb1' alt='' style='border:0' /></a><br />".$locale['ec101']."<br /><input type='radio' select name='tmpl' option value='tmpl1' checked></td>\n";
	echo "<td style='text-align: center;'><a href='".INFUSIONS."create_ecards/$tplimg2' rel='tp' title='".$locale['ec102']."' /><img src='$tplthb2' alt='' style='border:0' /></a><br />".$locale['ec102']."<br /><input type='radio' select name='tmpl' option value='tmpl2'></td>\n";
	echo "<td style='text-align: center;'><a href='".INFUSIONS."create_ecards/$tplimg3' rel='tp' title='".$locale['ec103']."' /><img src='$tplthb3' alt='' style='border:0' /></a><br />".$locale['ec103']."<br /><input type='radio' select name='tmpl' option value='tmpl3'></td>\n";
	echo "<td style='text-align: center;'><a href='".INFUSIONS."create_ecards/$tplimg4' rel='tp' title='".$locale['ec104']."' /><img src='$tplthb4' alt='' style='border:0' /></a><br />".$locale['ec104']."<br /><input type='radio' select name='tmpl' option value='tmpl4'></td>\n";
	echo "<td style='text-align: center;'><a href='".INFUSIONS."create_ecards/$tplimg5' rel='tp' title='".$locale['ec105']."' /><img src='$tplthb5' alt='' style='border:0' /></a><br />".$locale['ec105']."<br /><input type='radio' select name='tmpl' option value='tmpl5'></td></tr><tr>\n";
	echo "<td style='text-align: center;'><a href='".INFUSIONS."create_ecards/$tplimg6' rel='tp' title='".$locale['ec106']."' /><img src='$tplthb6' alt='' style='border:0' /></a><br />".$locale['ec106']."<br /><input type='radio' select name='tmpl' option value='tmpl6'></td>\n";
	echo "<td style='text-align: center;'><a href='".INFUSIONS."create_ecards/$tplimg7' rel='tp' title='".$locale['ec107']."' /><img src='$tplthb7' alt='' style='border:0' /></a><br />".$locale['ec107']."<br /><input type='radio' select name='tmpl' option value='tmpl7'></td>\n";
	echo "<td style='text-align: center;'><a href='".INFUSIONS."create_ecards/$tplimg8' rel='tp' title='".$locale['ec108']."' /><img src='$tplthb8' alt='' style='border:0' /></a><br />".$locale['ec108']."<br /><input type='radio' select name='tmpl' option value='tmpl8'></td>\n";
	echo "<td style='text-align: center;'><a href='".INFUSIONS."create_ecards/$tplimg9' rel='tp' title='".$locale['ec109']."' /><img src='$tplthb9' alt='' style='border:0' /></a><br />".$locale['ec109']."<br /><input type='radio' select name='tmpl' option value='tmpl9'></td>\n";
	echo "<td style='text-align: center;'><a href='".INFUSIONS."create_ecards/$tplimg10' rel='tp' title='".$locale['ec110']."' /><img src='$tplthb10' alt='' style='border:0' /></a><br />".$locale['ec110']."<br /><input type='radio' select name='tmpl' option value='tmpl10'></td>\n";
	echo "</tr></table><br /><br />\n";
	echo "<div style='text-align: center;'><strong><u>".$locale['ec215']."</u></strong> ".$locale['ec121']."".$locale['ec216']."</div><br />\n";
	echo "<table class='center' border='0' cellspacing='6' cellpadding='4'><tr>\n";
	echo "<td style='text-align: center; vertical-align: bottom;'><a href='".INFUSIONS."create_ecards/$hdrimg1' rel='gp' title='".$locale['ec440']."' /><img src='$hdrthb1' alt='' style='border:0' /></a><br />".$locale['ec440']."<br /><input type='radio' select name='hdr' option value='$hdrimg1'></td>\n";
	echo "<td style='text-align: center; vertical-align: bottom;'><a href='".INFUSIONS."create_ecards/$hdrimg2' rel='gp' title='".$locale['ec441']."' /><img src='$hdrthb2' alt='' style='border:0' /></a><br />".$locale['ec441']."<br /><input type='radio' select name='hdr' option value='$hdrimg2'></td>\n";
	echo "<td style='text-align: center; vertical-align: bottom;'><a href='".INFUSIONS."create_ecards/$hdrimg3' rel='gp' title='".$locale['ec442']."' /><img src='$hdrthb3' alt='' style='border:0' /></a><br />".$locale['ec442']."<br /><input type='radio' select name='hdr' option value='$hdrimg3'></td>\n";
	echo "<td style='text-align: center; vertical-align: bottom;'><a href='".INFUSIONS."create_ecards/$hdrimg4' rel='gp' title='".$locale['ec443']."' /><img src='$hdrthb4' alt='' style='border:0' /></a><br />".$locale['ec443']."<br /><input type='radio' select name='hdr' option value='$hdrimg4'></td>\n";
	echo "<td style='text-align: center; vertical-align: bottom;'><a href='".INFUSIONS."create_ecards/$hdrimg5' rel='gp' title='".$locale['ec444']."' /><img src='$hdrthb5' alt='' style='border:0' /></a><br />".$locale['ec444']."<br /><input type='radio' select name='hdr' option value='$hdrimg5'></td>\n";
	echo "<td style='text-align: center; vertical-align: bottom;'><a href='".INFUSIONS."create_ecards/$hdrimg6' rel='gp' title='".$locale['ec445']."' /><img src='$hdrthb6' alt='' style='border:0' /></a><br />".$locale['ec445']."<br /><input type='radio' select name='hdr' option value='$hdrimg6'></td>\n";
	echo "</tr></table><br /><br />\n";
	echo "<table class='center' cellpadding='0' cellspacing='5'><tr>\n";
	echo "<td width='50%' style='text-align: left;'><table><tr>\n";
	echo "<td style='text-align: left;'><strong>".$locale['ec202']."</strong></td>\n";
	echo "<td style='text-align: left;'><input class='textbox' name='rcpt_mail' size='35'><br /></td></tr>\n";
	echo "<tr><td style='text-align: left;'><strong>".$locale['ec203']."</strong></td>\n";
	echo "<td style='text-align: left;'><input class='textbox' name='rcpt_name' size='35'><br /></td></tr>\n";
	echo "</table></td><td width='50%' style='text-align: left;'><table><tr>\n";
	echo "<td style='text-align: left;'><strong>".$locale['ec204']."</strong></td>\n";
	echo "<td style='text-align: left;'><input class='textbox' name='sndr_mail' size='35'><br /></td></tr>\n";
	echo "<tr><td style='text-align: left;'><strong>".$locale['ec205']."</strong></td>\n";
	echo "<td style='text-align: left;'><input class='textbox' name='sndr_name' size='35'><br /></td></tr>\n";
	echo "</table></td></tr>\n";
	echo "<tr><td style='text-align: center;' colspan='2'><br /><br /><strong><u>".$locale['ec208']."</u></strong> ".$locale['ec121']."<br /></td></tr>\n";
	echo "<tr><td style='text-align: center;' colspan='2'><textarea class='textbox' name='grt'  cols='60' rows='1' style='width:380px;'></textarea><br />".$locale['ec209']."<br /><br /></td></tr>\n";
	echo "<tr><td style='text-align: center;' colspan='2'><strong>".$locale['ec206']."</strong> ".$locale['ec122']."<br /></td></tr>\n";
	echo "<tr><td style='text-align: center;' colspan='2'><textarea class='textbox' name='msg'  cols='60' rows='10' style='width:380px;'></textarea><br /></td>\n";
	echo "</tr></table><br />\n";
	echo "<table class='center' cellspacing='10'><tr>\n";
	echo "<td width='33%' style='text-align: right;'><input class='button' type='submit' name='preview' value=".$locale['ec201']."></td>\n";
	echo "<td width='34%' style='text-align: center;'><input class='button' type='submit' name='send' value=".$locale['ec210']."></td>\n";
	echo "<td width='33%' style='text-align: left;'><input class='button' type='reset' value=".$locale['ec211']."></td>\n";
	echo "</tr></table></form><br /><br />\n";
	echo "<div style='text-align:center;'><span class='tbl2'>&nbsp;&nbsp;".$locale['ec214']."&nbsp;&nbsp;</div>\n";
closetable();

require_once THEMES."templates/footer.php";
?>