<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Version: 3.0 Sep, 2014
| Author: Terry Broullette (Grimloch)
| Email: webmaster@whisperwillow.com
| Web: http://fusion.whisperwillow.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."create_ecards/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."create_ecards/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."create_ecards/locale/English.php";
}

include INFUSIONS."create_ecards/infusion_db.php";

// Infusion general information
$inf_title = $locale['100_title'];
$inf_description = $locale['100_desc'];
$inf_version = "3.0";
$inf_developer = "Terry Broullette";
$inf_email = "webmaster@whisperwillow.com";
$inf_weburl = "http://fusion.whisperwillow.com";

$inf_folder = "create_ecards"; // The folder in which the infusion resides.

$inf_newtable[1] = DB_ECARD_HEADER." (
hdr_id int(11) unsigned not null auto_increment,
hdr_subid int(11) unsigned not null default '0',
hdr_title varchar(200) not null default '',
PRIMARY KEY (hdr_id)
) ".(strnatcmp(mysql_get_server_info(),'4.0.18') >= 0 ? "ENGINE" : "TYPE")."=MyISAM;";

$inf_droptable[1] = DB_ECARD_HEADER;

$inf_newtable[2] = DB_ECARD_ARCHIVE." (
arc_id int(11) unsigned not null auto_increment,
arc_title varchar(100) not null default '',
arc_sender varchar(50) not null default '',
arc_receiver varchar(50) not null default '',
arc_datestamp int(10) unsigned not null default '0',
PRIMARY KEY (arc_id)
) ".(strnatcmp(mysql_get_server_info(),'4.0.18') >= 0 ? "ENGINE" : "TYPE")."=MyISAM;";

$inf_droptable[2] = DB_ECARD_ARCHIVE;

$inf_insertdbrow[1] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('0','none')";
$inf_insertdbrow[2] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('0','Thinking of You On This Day')";
$inf_insertdbrow[3] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('0','Believe In Yourself For I Believe In You')";
$inf_insertdbrow[4] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('0','In All Things Strive For Excellence')";
$inf_insertdbrow[5] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('0','The Road To Success Is Paved With Hard Work')";
$inf_insertdbrow[6] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('0','Serenity Is A Worthy Pursuit')";
$inf_insertdbrow[7] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('1','none')";
$inf_insertdbrow[8] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('1','Seasons Greetings')";
$inf_insertdbrow[9] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('1','Merry Christmas')";
$inf_insertdbrow[10] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('1','Happy Holidays')";
$inf_insertdbrow[11] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('1','Tidings of Joy To You')";
$inf_insertdbrow[12] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('1','Tis\` The Season To Be Jolly')";
$inf_insertdbrow[13] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('1','Silent Night, Holy Night')";
$inf_insertdbrow[14] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('1','Happy Birthday Jesus')";
$inf_insertdbrow[15] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('1','Peace And Joy To You')";
$inf_insertdbrow[16] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('2','none')";
$inf_insertdbrow[17] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('2','Happy Holidays')";
$inf_insertdbrow[18] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('2','Happy New Year To You')";
$inf_insertdbrow[19] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('2','Seasons Greetings')";
$inf_insertdbrow[20] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('2','New Years Greetings')";
$inf_insertdbrow[21] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('2','Be of Good Cheer. Behold The New Year')";
$inf_insertdbrow[22] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('2','The Magic of Change Is In The Air')";
$inf_insertdbrow[23] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('2','Resolution Is The Glue of Construction')";
$inf_insertdbrow[24] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('3','none')";
$inf_insertdbrow[25] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('3','Happy Halloween')";
$inf_insertdbrow[26] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('3','Ghosts And Goblins Galore')";
$inf_insertdbrow[27] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('3','Trick or Treat')";
$inf_insertdbrow[28] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('3','Have A Spooky Celebration')";
$inf_insertdbrow[29] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('3','The Witching Hour Is Here')";
$inf_insertdbrow[30] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('3','Cats & Bats & Eerie Hats')";
$inf_insertdbrow[31] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('4','none')";
$inf_insertdbrow[32] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('4','Happy Thanksgiving')";
$inf_insertdbrow[33] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('4','Have A Nice Turkey Day')";
$inf_insertdbrow[34] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('4','Cranberry Sauce And Pecan Pie')";
$inf_insertdbrow[35] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('4','Today Diets Are Outta Here')";
$inf_insertdbrow[36] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('4','Friends & Family Day')";
$inf_insertdbrow[37] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('4','Have A Wonderful Feast')";
$inf_insertdbrow[38] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('5','none')";
$inf_insertdbrow[39] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('5','Happy Birthday America')";
$inf_insertdbrow[40] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('5','Independence Day')";
$inf_insertdbrow[41] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('5','Have A Joyous 4th of July')";
$inf_insertdbrow[42] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('5','Fireworks & Fanfare Abound')";
$inf_insertdbrow[43] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('5','Liberty & Justice For All')";
$inf_insertdbrow[44] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('5','Our Freedom Celebration')";
$inf_insertdbrow[45] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('6','none')";
$inf_insertdbrow[46] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('6','Happy Birthday To You')";
$inf_insertdbrow[47] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('6','A Celebration of You')";
$inf_insertdbrow[48] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('6','Another Year Has Come & Gone')";
$inf_insertdbrow[49] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('6','May You Stay Forever Young')";
$inf_insertdbrow[50] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('6','Here\'s To Another Year of Experience')";
$inf_insertdbrow[51] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('6','So Many Candles... So Little Cake')";
$inf_insertdbrow[52] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('7','none')";
$inf_insertdbrow[53] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('7','Have Yourself A Very Special Day')";
$inf_insertdbrow[54] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('7','This Is Your Special Day. Celebrate')";
$inf_insertdbrow[55] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('7','A Special Day For A Special Person')";
$inf_insertdbrow[56] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('7','Here\'s To You On Your Special Day')";
$inf_insertdbrow[57] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('7','Have A Very Happy Wedding Day')";
$inf_insertdbrow[58] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('7','Your Anniversary. A Very Special Day')";
$inf_insertdbrow[59] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('8','none')";
$inf_insertdbrow[60] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('8','For My Very Best Friend')";
$inf_insertdbrow[61] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('8','True Friends Are Forever')";
$inf_insertdbrow[62] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('8','For My Wife, My Friend, My Lover')";
$inf_insertdbrow[63] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('8','For My Husband, My Friend, My Lover')";
$inf_insertdbrow[64] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('8','Friendship Forever Binds Us')";
$inf_insertdbrow[65] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('8','When I Needed A Friend, You Were There')";
$inf_insertdbrow[66] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('9','none')";
$inf_insertdbrow[67] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('9','Everlasting, Sweet Love')";
$inf_insertdbrow[68] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('9','Greetings To My Love')";
$inf_insertdbrow[69] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('9','You Are The Love of My Life')";
$inf_insertdbrow[70] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('9','Love Is The Tie That Binds Forever')";
$inf_insertdbrow[71] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('9','Love Is The Key To Happiness')";
$inf_insertdbrow[72] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('9','Love My Darling, Forever')";
$inf_insertdbrow[73] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('10','none')";
$inf_insertdbrow[74] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('10','A Bouquet To Brighten Your Day')";
$inf_insertdbrow[75] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('10','Nothing Says Love Quite Like Flowers')";
$inf_insertdbrow[76] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('10','A Special Rose For My Special Love')";
$inf_insertdbrow[77] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('10','A Bouquet A Day Keeps The Blues Away')";
$inf_insertdbrow[78] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('10','Flowers Are Natures Smiles')";
$inf_insertdbrow[79] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('10','Special Flowers To The One I Love')";
$inf_insertdbrow[80] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('11','none')";
$inf_insertdbrow[81] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('11','Happy Easter To You')";
$inf_insertdbrow[82] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('11','Bunny Rabbits & Easter Eggs')";
$inf_insertdbrow[83] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('11','Easter Day Celebration')";
$inf_insertdbrow[84] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('11','The Lord Has Risen')";
$inf_insertdbrow[85] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('11','Celebrate Jesus Resurrection')";
$inf_insertdbrow[86] = DB_ECARD_HEADER." (hdr_subid, hdr_title) VALUES('11','Be of Good Cheer. For Christ Has Risen')";

$inf_adminpanel[1] = array(
	"title" => $locale['100_admin'],
	"image" => "image.gif",
	"panel" => "admin/ecard_archive_admin.php",
	"rights" => "ECA"
);

$inf_sitelink[1] = array(
	"title" => $locale['100_link'],
	"url" => "index.php",
	"visibility" => "101"
);
?>