<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: mail_notice.php
| Version: 3.0 Sep, 2014
| Author: Terry Broullette (Grimloch)
| Email: webmaster@whisperwillow.com
| Web: http://fusion.whisperwillow.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."create_ecards/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."create_ecards/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."create_ecards/locale/English.php";
}
include INFUSIONS."create_ecards/infusion_db.php";

define("CARD_FOLDER", INFUSIONS."create_ecards/ecards/");

$snd_msg = "";
$snd_bdy = "";
$wrt_nte = "";
$cmp_txt = "";

opentable($locale['ec250']);

if (!$_POST['rcpt_mail'] || !$_POST['rcpt_name'] || !$_POST['sndr_mail'] || !$_POST['sndr_name'] || !$_POST['msg']) {
echo "<table class='center' border='0' cellspacing='0' cellpadding='3'><tr>\n";
echo "<td style='text-align: center;'><br /><br />".$locale['ec251']." <a class='button' href='javascript:history.go(-1)'>".$locale['ec252']."</a></td></tr>\n";
echo "</table>";
} else {
$time = date ("h:i A"); 
$date = date ("l F jS, Y");
$url = $settings['siteurl'];
$hdrtxt = stripinput($_POST['tophdr']);
$hdr = stripinput($_POST['hdr']);
$email = $settings['siteemail'];
$rcpt_mail = stripinput($_POST['rcpt_mail']);
$rcpt_name = stripinput($_POST['rcpt_name']);
$sndr_mail = stripinput($_POST['sndr_mail']);
$sndr_name = stripinput($_POST['sndr_name']);
$grt = stripinput($_POST['grt']);
$message = stripinput($_POST['msg']);
$msg = nl2br($message);
$template = stripinput($_POST['tmpl']);
if($hdrtxt == "none") {
$hdrtxt = "";
} else {
	$hdrtxt = $hdrtxt; }
if($hdr == "") {
	$picture = "";
} else {
	$picture = "<img src='".$url."infusions/create_ecards/$hdr' border='0' alt='' />"; }

include INFUSIONS."create_ecards/include/$template.php";

// archive html ecard
$archive_page = $content;

$chars = "abcdefghijklmnpqrstuvwxyzABCDEFGHIJKLMNPQRSTUVWXYZ123456789";
$char_count = strlen($chars) - 1;
$card_id = "";
	for ($i = 0; $i < 10; $i++) {
	$card_id .= substr($chars, mt_rand(0, $char_count), 1);
	}

	$queit = $card_id;
	$web_read = $queit.".htm";

	$qpage = $web_read;
	$webpage = stripslashes($archive_page);
	$cards = CARD_FOLDER."$qpage";
	$handle = fopen($cards, 'w') or die("File could not be created");
	fwrite($handle, $webpage);
	fclose($handle);

$result = dbquery("INSERT INTO ".DB_ECARD_ARCHIVE." (arc_id, arc_title, arc_sender, arc_receiver, arc_datestamp) VALUES('', '$web_read', '$sndr_name', '$rcpt_name', '".time()."')");

include INCLUDES."sendmail_include.php";
include INFUSIONS."create_ecards/include/recipient_template.php";

$subject = "".$locale['ec253']."$sndr_mail";
$to = $rcpt_mail;
$body = $snd_msg . $snd_bdy;

mail($to, $subject, $body, $headers);

$subject = "";
$to = "";
$body = "";

include INFUSIONS."create_ecards/include/sender_template.php";

$subject = "".$locale['ec264']."$rcpt_mail";
$to = $sndr_mail;
$body = $wrt_nte . $cmp_txt;

mail($to, $subject, $body, $headers);

$subject = "";
$body = "";

$time = date ("h:i A");
$date = date ("l F jS, Y"); 
$tos = $email;
$subject = $locale['ec265'];

$bodys = "".$locale['ec267']."$url\n".$locale['ec268']."$date ".$locale['ec269']."$time\n\n".$locale['ec266']."\n\n\n".$locale['ec270']."$sndr_mail  ".$locale['ec271']."$rcpt_mail\n\n"; 
$body = $bodys;
mail($tos, $subject, $body, "From: ".$email);

echo "<table class='center' border='0' cellspacing='0' cellpadding='3'><tr>\n";
echo "<td align='center'><strong><p>".$locale['ec259']."$sndr_name".$locale['ec260']."$rcpt_name, $rcpt_mail</p><br /></td></tr><tr>\n";
echo "<td align='center'><a class='button' href='".$settings['siteurl']."'>&nbsp;".$locale['ec261']."&nbsp;</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a class='button' href='".$settings['siteurl']."infusions/create_ecards/index.php'>&nbsp;".$locale['ec262']."&nbsp;</a></td></tr></table>\n";
}
closetable();
require_once THEMES."templates/footer.php";
exit;
?>